<style>
		#filterForm {
			background-color: #d9d9d9;
			padding: 15px;
		}
		#filterForm input[type="number"] {
			display: inline;
		}
	</style>
	
	<script>

	$(document).ready(function () {
			$('#pricecustom').click(function () {
				$('#pricecustomize').show('fast');
			});
			$('#price20').click(function () {
				$('#pricecustomize').hide('fast');
			});
			$('#price40').click(function () {
				$('#pricecustomize').hide('fast');
			});
		});
	
		$(document).ready(function () {
			$('#radiuscustom').click(function () {
				$('#radiuscustomize').show('fast');
			});
			$('#radius250').click(function () {
				$('#radiuscustomize').hide('fast');
			});
			$('#radius500').click(function () {
				$('#radiuscustomize').hide('fast');
			});
		});
			
	</script>
	
	
	<form role="form" name="filterForm" id="filterForm" novalidate>
		
		<div class="form-group">
			<label for="productTypes">Ποτά</label>
			<div id="productTypes">
				<div class="checkbox">
					<label><input type="checkbox" name="beer" ng-model="filter.beer" id="beer" ng-true-value="'beer'" ng-false-value = '0' ng-change="checkwine(filter.beer)">Μπύρα</label>
						<div ng-include="'app/components/searchProduct/views/beers.html'"> </div> 
					</div>
				<div class="checkbox">
					<label><input type="checkbox" name="wine" ng-model="filter.wine" id="wine" ng-true-value="'wine'" ng-false-value = '0' ng-change="checkwine(filter.wine)">Κρασί</label>
						<div ng-include="'app/components/searchProduct/views/wines.html'"></div> 
				</div>
				<div class="checkbox">
					<label><input type="checkbox" name="whiskey" ng-model="filter.whiskey" id="whiskey" ng-true-value="'whiskey'" ng-false-value = '0' ng-change="checkwhiskey(filter.whiskey)">Ουίσκι</label>
						<div ng-include="'app/components/searchProduct/views/whiskeys.html'"></div>
				</div>
				<div class="checkbox">
					<label><input type="checkbox" name="vodka" ng-model="filter.vodka" id="vodka" ng-true-value="'vodka'" ng-false-value = '0' ng-change="checkvodka(filter.vodka)"> Βότκα</label> 
				</div>
				<div class="checkbox">
					<label><input type="checkbox" name="gin" ng-model="filter.gin" id="gin" ng-true-value="'gin'" ng-false-value = '0' ng-change="checkgin(filter.gin)">Τζιν</label> 
				</div>
				<div class="checkbox">
					<label><input type="checkbox" name="other" ng-model="filter.other" id="other" ng-true-value="'other'" ng-false-value = '0' ng-change="checkother(filter.other)">Άλλο</label>
				</div>
			</div>
		</div>

		<div class="form-group">
			<label for="price">Τιμή</label><br>
			<div id="prices">
				<div class="radio">
					<label for="price20"><input type="radio" name="price" ng-model="filter.price20" id="price20" ng-true-value="'price20'" ng-false-value = '0' ng-click="checkprice('price20',filter.minprice)"> Mέχρι 20 ευρώ </label><br/>
					<label for="price40"><input type="radio" name="price" ng-model="filter.price40" id="price40" ng-true-value="'price40'" ng-false-value = '0' ng-click="checkprice('price40',filter.minprice)"> Mέχρι 40 ευρώ </label><br/>
					<label for="pricecustomize"><input type="radio" name="price" ng-model="filter.pricecustom" id="pricecustom" value='custom'> Εισαγωγή άλλου ορίου τιμής </label>
						<div id="pricecustomize" style = "display: none">
							Από: <input type="number" id="minprice" ng-model="filter.minprice" min="0"  ng-change = 'checkprice(filter.maxprice,filter.minprice)'> <br>
							Εώς: <input type="number" id="maxprice" ng-model='filter.maxprice' min="0"  ng-change = 'checkprice(filter.maxprice,filter.minprice)'>
						</div>	
				</div>
			</div>
		</div>

		<div class="form-group">
				<label for="location">Τοποθεσία</label><br>
				<div id="location">
					
					<input type="text"  id="address2"  ng-model="filter.location"  name="address2" placeholder = 'π.χ Marikas Kotopouli 2, Zografou 15773' ng-change='add(filter.location)' ng-blur="setAddress()">
					<button type="button" id = 'gps' name='gps'  ng-click= 'onPositionUpdate()' >Εύρεση με GPS</button><br> 
				</div>
		</div>
				
		<div class="form-group">
			<label for="radius">Ακτίνα</label><br>
			<div id="radius">
				<div class="radio">
					<label for="radius250"><input type="radio" name="radius" ng-model="filter.radius250" id="radius250" value = "radius250" ng-click="checkradius('radius250',0)"> Mέχρι 250 μέτρα </label><br/>
					<label for="radius500"><input type="radio" name="radius" ng-model="filter.radius500" id="radius500" value = "radius500" ng-click="checkradius('radius500',0)"> Mέχρι 500 μέτρα </label><br/>
					<label for="radiuscustom"><input type="radio" name="radius" ng-model="filter.customradius" id="radiuscustom" value = "custom" > Εισαγωγή άλλου ορίου ακτίνας </label>
						<div id="radiuscustomize" style = "display: none">
							Εώς: <input type="number" id="maxradius" ng-model='filter.maxradius' min="0" ng-change="checkradius(custom,0)" >
						</div>	
				</div>
			</div>
		</div>
		<div>
			<label for="dateFrom">Ημερομηνία Από</label>
			<input type="date" id="dateFrom" ng-model="filter.dateFrom"><br> 
			<label for="dateTo">Ημερομηνία Μέχρι</label>
			<input type="date" id="dateTo" ng-model="filter.dateTo">
		</div><br>

		<button type="submit" class="btn btn-success btn-block" ng-click = 'submit()'>Αναζήτηση</button>
	</form>
